## kdeaccessibility-4.2.4.tar.xz

=== CMakeLists.txt ===
project(kdeaccessibility)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

if(Q_WS_X11)
  if(NOT X11_XTest_FOUND)
    macro_log_feature(X11_XTest_FOUND "libXtst" "X11 Testing Resource extension library" "http://xorg.freedesktop.org" FALSE "" "needed to build kmousetool.")
  endif(NOT X11_XTest_FOUND)
endif(Q_WS_X11)

find_package(Kttsmodule)
macro_optional_find_package(Alsa)
macro_log_feature(ALSA_FOUND "ALSA" "The Advanced Linux Sound Architecture (ALSA) library" "http://www.alsa-project.org" FALSE "0.9" "Provides the ALSA audio plugin for KTTSD.")

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

macro_optional_add_subdirectory(ColorSchemes)
macro_optional_add_subdirectory(IconThemes)

if(Q_WS_X11)
    macro_optional_add_subdirectory(kttsd)
    
    # The kbstateapplet was ported to a KDE4 plasmoid and moved to playground/plasma with r875994
    #if(X11_Xkb_FOUND)		
    #   macro_optional_add_subdirectory(kbstateapplet)
    #endif(X11_Xkb_FOUND)
    
    macro_optional_add_subdirectory(kmag)
    if(X11_XTest_FOUND)
        macro_optional_add_subdirectory(kmousetool)
    endif(X11_XTest_FOUND)
endif(Q_WS_X11)

macro_optional_add_subdirectory(kmouth)

message(STATUS "Skipping ksayit. It does not currently compile.")
# add_subdirectory(ksayit)

macro_optional_add_subdirectory(doc)
macro_display_feature_log()
