=== kmousetool/CMakeLists.txt ===
project(kmousetool)

add_subdirectory( kmousetool )
