=== kttsd/app-plugins/CMakeLists.txt ===
MESSAGE(STATUS "Remember to port it")
#add_subdirectory(kate)
