=== kttsd/debian/control ===
Source: kttsd
Section: kde
Priority: extra
Maintainer: Gary Cramblitt (PhantomsDad) <garycramblitt@comcast.net>
Build-Depends: debhelper (>= 4.0.0), kdelibs4-dev (>= 4:3.2), qt3-doc (>=3.3.3)
Standards-Version: 3.6.1.1

Package: kttsd
Architecture: any
Depends: ${shlibs:Depends}
Suggests: festival, festival-doc, festvox-kallpc, flite, epos,
 xsltproc, sox, kttsd-gstreamer
Description: KDE Text-to-Speech system
 KTTS, the KDE Text-to-Speech (TTS) system, is a plug-in based dcop service
 that allows any KDE (or non-KDE) application to speak using the DCOP
 interface.
 .
 KTTS intends to be the implementation for the KDE Text-to-Speech API.
 .
 Features
 --------
  * Priority system for warnings and messages, while still playing
    regular text.
  * Long text is parsed into sentences.  User may backup by sentence or
    paragraph, replay, pause, and stop playing.
  * Speak contents of clipboard.
  * Speak KDE notification events (KNotify).
 .
 You must also install a speech synthesis engine, such as festival, flite,
 epos, freetts, or hadifix (MBROLA and txt2pho).  khelpcenter help:/kttsd/
 for links and suggestions for obtaining and installing synthesizers.

Package: kttsd-gstreamer
Architecture: any
Depends: kttsd, libgstreamer0.8-0 (>= 0.8.7)
Description: KTTSD GStreamer plugin
 A plugin for the KDE Text-to-Speech system for producing
 audio output via GStreamer.  You will also need the
 GStreamer wav file plugin and at least one GStreamer
 output plugin (aRts, oss, or nas).
